test.sh 468 B

123456789101112131415161718192021
  1. #!/bin/bash
  2. # This is a script to build the modules and run the test suite in the base
  3. # Docker container.
  4. die() {
  5. echo "Error: $@" 1>&2
  6. exit 1;
  7. }
  8. mkdir /usr/src/CTK-build
  9. cd /usr/src/CTK-build || die "Could not cd into the build directory"
  10. mkdir /usr/src/CTK-build/CTK-build
  11. cd /usr/src/CTK-build/CTK-build || die "Could not cd into the build directory"
  12. ctest \
  13. $1 \
  14. -S /usr/src/CTK/CMake/CircleCI/CircleCI_CTK_Docker.cmake \
  15. -VV || die "ctest failed"